<?php 
/*adding sections for footer options*/
    $wp_customize->add_section( 'shree-header-option', array(
        'priority'       => 10,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Header Option', 'shree' ),
        'panel'          => 'shree_panel',
    ) );

    /*Option Section Enable Disable*/
    $wp_customize->add_setting( 'shree_theme_options[shree-header-disable]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-header-disable'],
        'sanitize_callback' => 'shree_sanitize_checkbox'
    ) );
    $wp_customize->add_control( 'shree-header-disable', array(
        'label'       => __( 'Enable Top Header', 'shree' ),
        'description' => __('Enable Header Section to show menu and social', 'shree'),
        'section'     => 'shree-header-option',
        'settings'    => 'shree_theme_options[shree-header-disable]',
        'type'        => 'checkbox',
        'priority'    => 10
    ) );

/*header ad img*/
$wp_customize->add_setting( 'shree_theme_options[shree-header-main-banner-ads]', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'shree_theme_options[shree-header-main-banner-ads]',
        array(
            'label'     => __( 'Header Ad Image', 'shree' ),
            'section'   => 'shree-header-option',
            'settings'  => 'shree_theme_options[shree-header-main-banner-ads]',
            'priority'  => 10,
            'description' => __( 'Recommended image size of 728*90', 'shree' )
        )
    )
);

/*header ad img link*/
$wp_customize->add_setting( 'shree_theme_options[shree-header-main-banner-ads-link]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-header-main-banner-ads-link'],
    'sanitize_callback' => 'esc_url_raw',
) );
$wp_customize->add_control( 'shree_theme_options[shree-header-main-banner-ads-link]', array(
    'label'     => __( 'Ad Image Link', 'shree' ),
    'section'   => 'shree-header-option',
    'settings'  => 'shree_theme_options[shree-header-main-banner-ads-link]',
    'type'      => 'url',
    'priority'  => 10
) );

/*header Google ads code*/
$wp_customize->add_setting( 'shree_theme_options[shree-header-main-google-ads]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-header-main-google-ads'],
    'sanitize_callback' => '',
) );
$wp_customize->add_control( 'shree_theme_options[shree-header-main-google-ads]', array(
    'label'     => __( 'Google Ad Code', 'shree' ),
    'section'   => 'shree-header-option',
    'settings'  => 'shree_theme_options[shree-header-main-google-ads]',
    'type'      => 'textarea',
    'priority'  => 10
) );

/* Header Types */
    $wp_customize->add_setting( 'shree_theme_options[shree-header-types]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-header-types'],
        'sanitize_callback' => 'shree_sanitize_select'
    ) );

    $choices = shree_header_types();
    $wp_customize->add_control('shree_theme_options[shree-header-types]',
                array(
                'choices'   => $choices,
                'label'     => __( 'Select Header Types', 'shree'),
                'section'   => 'shree-header-option',
                'settings'  => 'shree_theme_options[shree-header-types]',
                'type'      => 'select',
                'priority'  => 10
             )
        );

    /*Search Section Enable Disable*/
    $wp_customize->add_setting( 'shree_theme_options[shree-search-disable]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-search-disable'],
        'sanitize_callback' => 'shree_sanitize_checkbox'
    ) );
    $wp_customize->add_control( 'shree-search-disable', array(
        'label'       => __( 'Enable Search in Menu', 'shree' ),
        'description' => __('You can easily enable or disable the search in menu.', 'shree'),
        'section'     => 'shree-header-option',
        'settings'    => 'shree_theme_options[shree-search-disable]',
        'type'        => 'checkbox',
        'priority'    => 10
    ) );

        /*Off Canvas Section Enable Disable*/
    $wp_customize->add_setting( 'shree_theme_options[shree-offcanvas-disable]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-offcanvas-disable'],
        'sanitize_callback' => 'shree_sanitize_checkbox'
    ) );
    $wp_customize->add_control( 'shree-offcanvas-disable', array(
        'label'       => __( 'Enable Off Canvas in Menu', 'shree' ),
        'description' => __('You can add the widget in this seciton from Appearance > Widgets.', 'shree'),
        'section'     => 'shree-header-option',
        'settings'    => 'shree_theme_options[shree-offcanvas-disable]',
        'type'        => 'checkbox',
        'priority'    => 10
    ) );