<?php
/*adding sections for category selection for promo section in homepage*/
$wp_customize->add_section( 'shree-single-page-layout', array(
    'priority'       => 14,
    'capability'     => 'edit_theme_options',
    'title'          => __( 'Single Page Options', 'shree' ),
    'panel'          => 'shree_panel',
) );

/* Meta Option Category*/
$wp_customize->add_setting( 'shree_theme_options[shree-single-meta-category-option]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-single-meta-category-option'],
    'sanitize_callback' => 'shree_sanitize_checkbox'
) );

$wp_customize->add_control('shree_theme_options[shree-single-meta-category-option]',
            array(
            'label'       => __( 'Enable/Disable Category', 'shree'),
            'description' => __('Checked to hide the category from blog page', 'shree'),
            'section'     => 'shree-single-page-layout',
            'settings'    => 'shree_theme_options[shree-single-meta-category-option]',
            'type'        => 'checkbox',
            'priority'    => 10
         )
    );

/* Meta Option date*/
$wp_customize->add_setting( 'shree_theme_options[shree-single-meta-date-option]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-single-meta-date-option'],
    'sanitize_callback' => 'shree_sanitize_checkbox'
) );

$wp_customize->add_control('shree_theme_options[shree-single-meta-date-option]',
            array(
            'label'       => __( 'Enable/Disable Date', 'shree'),
            'description' => __('Checked to hide the date from blog page', 'shree'),
            'section'     => 'shree-single-page-layout',
            'settings'    => 'shree_theme_options[shree-single-meta-date-option]',
            'type'        => 'checkbox',
            'priority'    => 10
         )
    );

/* Meta Option comments*/
$wp_customize->add_setting( 'shree_theme_options[shree-single-meta-comments-option]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-single-meta-comments-option'],
    'sanitize_callback' => 'shree_sanitize_checkbox'
) );

$wp_customize->add_control('shree_theme_options[shree-single-meta-comments-option]',
            array(
            'label'       => __( 'Enable/Disable Comments', 'shree'),
            'description' => __('Checked to hide the comments from blog page', 'shree'),
            'section'     => 'shree-single-page-layout',
            'settings'    => 'shree_theme_options[shree-single-meta-comments-option]',
            'type'        => 'checkbox',
            'priority'    => 10
         )
    );

/* Meta Option tags*/
$wp_customize->add_setting( 'shree_theme_options[shree-single-meta-tags-option]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-single-meta-tags-option'],
    'sanitize_callback' => 'shree_sanitize_checkbox'
) );

$wp_customize->add_control('shree_theme_options[shree-single-meta-tags-option]',
            array(
            'label'       => __( 'Enable/Disable Tags', 'shree'),
            'description' => __('Checked to hide the tags from blog page', 'shree'),
            'section'     => 'shree-single-page-layout',
            'settings'    => 'shree_theme_options[shree-single-meta-tags-option]',
            'type'        => 'checkbox',
            'priority'    => 10
         )
    );

/*callback functions Related Posts*/
    if ( !function_exists('shree_related_posts_active_callback') ) :
        function shree_related_posts_active_callback(){
        global $shree_theme_options;
        $shree_theme_options = shree_get_theme_options();
        $enable_related_posts = $shree_theme_options['shree-enable-disable-related-posts'];
        if( 1 == $enable_related_posts ){
          return true;
        }
        else{
          return false;
        }
    }
    endif;

/* Related Posts Option*/
$wp_customize->add_setting( 'shree_theme_options[shree-enable-disable-related-posts]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-enable-disable-related-posts'],
    'sanitize_callback' => 'shree_sanitize_checkbox'
) );

$wp_customize->add_control('shree_theme_options[shree-enable-disable-related-posts]',
            array(
            'label'       => __( 'Enable/Disable Related Posts', 'shree'),
            'description' => __('Checked to show/hide the related posts and additional settings', 'shree'),
            'section'     => 'shree-single-page-layout',
            'settings'    => 'shree_theme_options[shree-enable-disable-related-posts]',
            'type'        => 'checkbox',
            'priority'    => 10
         )
    );
/* Related Post Title*/
$wp_customize->add_setting( 'shree_theme_options[shree-single-related-post-title]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['shree-single-related-post-title'],
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control('shree_theme_options[shree-single-related-post-title]',
            array(
            'label'       => __( 'Related Posts Title', 'shree'),
            'description' => __('Enter the related post title', 'shree'),
            'section'     => 'shree-single-page-layout',
            'settings'    => 'shree_theme_options[shree-single-related-post-title]',
            'type'        => 'text',
            'priority'    => 10,
            'active_callback'=> 'shree_related_posts_active_callback',
         )
    );